[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Openssl 1.0.0

On Sun, Feb 13, 2011 at 00:27:51 +0100, Kurt Roeckx wrote:

> Hi,
> I would like to upload version 1.0.0(d) to unstable soon.  It
> changes soname, but as far as I know the API is still compatible
> with the old one, and you should be able to rebuild everything
> against the new version.
So this is started now.  Most packages should be fine because we keep
libssl0.9.8 around for a while.  However, the udeb needed for openssh is
going away, which means we'd need to migrate openssl, openssl098 and
openssh together to testing.  That might not work out because of
#612607, which Colin says nobody knows how to fix yet.

I can see two ways out.  One is ignoring the bug and getting the new
openssh in testing anyway.  The other is to force libcrypto0.9.8-udeb to
stay in testing for now.  Please pick one (or an alternative I'm not
thinking of). :)


Reply to: